Aplicar etiquetas a proveedores
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/suppliers/tags/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"add_tag_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"remove_tag_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/suppliers/tags/apply"
payload = {
"entity_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"add_tag_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"remove_tag_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
add_tag_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
remove_tag_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.lapyme.com.ar/api/v1/suppliers/tags/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"entity_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"added": 1,
"removed": 1,
"total": 1
},
"warnings": [
"<unknown>"
]
}{
"request_id": "req_supplier_tags_apply_1",
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid request for applying tags to suppliers",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_supplier_tags_apply_1",
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "API key is required in the Authorization header",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_supplier_tags_apply_1",
"error": {
"code": "FORBIDDEN",
"message": "Your API key does not have permission for this operation",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_supplier_tags_apply_1",
"error": {
"code": "INTERNAL_ERROR",
"message": "Could not apply tags to suppliers",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}Aplicar etiquetas a proveedores
Agrega y/o remueve etiquetas de scope supplier en un lote de proveedores.
POST
/
api
/
v1
/
suppliers
/
tags
/
apply
Aplicar etiquetas a proveedores
Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
ID opcional de la solicitud para trazabilidad. Si se omite, el servidor genera uno.
Required string length:
1 - 255Body
application/json
Was this page helpful?

